OID problem for versions newer than 3.5.9

Note: please leave bug reports and feature requests on

OID problem for versions newer than 3.5.9

Postby radudh » Tue Apr 12, 2016 9:05 am

Hello,

We have multiple PostgreSQL databases, but with one we have some problems in the latest versions of DBeaver.

The problematic one is PostgreSQL 9.3.10 on Ubuntu 4.8.2, 64-bit

In dbeaver-debug.log the following error appear when connecting to it:
Can't get column 'oid': Bad value for type int : 2699213561
And when expanding the tables, views etc. nothing appears.

I know that we have some problems with OIDs (some values seems to be too big) but version 3.5.9 worked ok.
The problem appeared starting from version 3.6.0.

DBeaver is Enterprise, has version 3.6.4 and is installed on Windows 8 64bit (problem appear also in the Community versions).
PostgreSQL driver is postgresql-9.4.1208.jre7.jar (as downloaded when DBeaver was installed)

Thanks!
radudh
 
Posts: 2
Joined: Tue Apr 12, 2016 8:50 am

Re: OID problem for versions newer than 3.5.9

Postby Serge » Tue Apr 12, 2016 9:43 am

Seems to be an integer overflow error.
Some PG objects have integer OIDs in the DBeaver model. Will fix it in the next version.
Thanks for report.
Serge
 
Posts: 1526
Joined: Sat Feb 26, 2011 8:24 pm
Location: SPb

Re: OID problem for versions newer than 3.5.9

Postby radudh » Mon Apr 18, 2016 11:10 am

I can confirm that the above bug is gone in the latest version, 3.6.5, Enterprise, on Win 8 64 bits
radudh
 
Posts: 2
Joined: Tue Apr 12, 2016 8:50 am


Return to Support



Who is online

Users browsing this forum: Google [Bot] and 25 guests